# ------------------------------------------------------------------------------
#
#   Anton Synytsia
#   anton.synytsia@gmail.com
#
# ------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

module AMS  #  <---<<  Anton Synytsia's proprietary toplevel namespace.

  module Lib

    NAME            = 'AMS Library'.freeze
    VERSION         = '1.0.9'.freeze
    RELEASE_DATE    = 'April 26, 2014'.freeze

    # Create the extension.
    @extension = SketchupExtension.new NAME, 'ams_Lib/core.rb'

    desc = 'AMS Library is a collection of Microsoft Windows API tools and '
    desc << 'functions readied for the use by other extensions.'

    # Attach some nice info.
    @extension.description = desc
    @extension.version     = VERSION
    @extension.copyright   = 'Anton Synytsia © 2014'
    @extension.creator     = 'Anton Synytsia (anton.synytsia@gmail.com)'

    # Register and load the extension on start-up.
    ::Sketchup.register_extension @extension, true

    class << self

      attr_reader :extension

    end

  end # module Lib

end # module AMS
