# ------------------------------------------------------------------------------
#
# Ruby FFI
#   https://github.com/ffi/ffi
#
# The Ruby FFI was simply recompiled under my own namespace (AMS::FFI) to ensure
# compatibility with other extensions. No other changes were made!
#
# Thanks to Wayne Meissner and his contributors for writing such a great gem!
#
# ------------------------------------------------------------------------------

Sketchup.require 'ams_Lib/core.rb'

dir = File.dirname(__FILE__)
path = File.join(dir, "#{RUBY_VERSION[0,3]}/ams_ffi_c.so")
Object.send(:remove_const, :AMS::FFI) if defined?(AMS::FFI)

if File.exists?(path)
  begin
    require path
    require File.join(dir, 'ams_ffi/ffi.rb')
  rescue Exception => e
    raise "AMS Library: There was an error loading ams_ffi!\nError:\n#{e}\nDetails:\n#{$@[0..2].join("\n")}"
  end
else
  raise "AMS Library: ams_ffi_c.so is not supported for the current ruby version (#{RUBY_VERSION})!"
end

AMS::Lib.file_loaded(__FILE__)
